module C80Brands

  class BbrandsIconUploader < BaseFileUploader

    process :resize_to_limit => [800,800]

    # classic iPhone / iPod
    version :thumb_sm do
      process :resize_to_fit => [57,57]
    end

    # Android Hi-Res
    version :thumb_lg do
      process :resize_to_fit => [192,192]
    end

    # iPhone / iPod Retina
    version :thumb_md do
      process :resize_to_fit => [120,120]
    end


    def store_dir
      'uploads/brands'
    end

  end

end